﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FraCon
{
    public partial class Form1
    {
        public string getAtdaValue(int idx, int value)
        {
            string retStr;

            switch (idx)
            {
            case 0:
            case 12:
            case 26:
                retStr = chBalCETxt[value];
                break;
            case 1:
            case 13:
                retStr = chHrmTypeTxt[value];
                break;
            case 9:
            case 21:
                retStr = chScaleTxt[value];
                break;
            case 27:
                retStr = chExtrTypeTxt[value];
                break;
            case 10:
            case 22:
            case 35:
                retStr = chSwTxt[value];
                break;
            case 50:
            case 51:
            case 52:
            case 53:
            case 54:
            case 66:
                retStr = chPanTxt[value];
                break;
            case 3:
            case 15:
            case 28:
            case 38:
            case 41:
            case 44:
            case 45:
                retStr = value.ToString("D").PadLeft(5) + "Hz";
                break;
            case 4:
                retStr = ((Double)value*0.1).ToString("0.0").PadLeft(4) + "sec";
                break;
            case 16:
            case 29:
            case 30:
                retStr = value.ToString("D").PadLeft(4) + "ms";
                break;
            case 24:
            case 36:
            case 47:
                retStr = value.ToString("D").PadLeft(3) + "ms"; 
                break;
            case 39:
            case 42:
                Double val = (Double)value * 0.1;
                if (val >= 0) { retStr = "+"; }
                else { retStr = ""; }
                retStr += val.ToString("0.0");
                retStr = retStr.PadLeft(5) + "dB";
                break;
            case 5:
            case 17:
                val = (Double)value * 0.01;
                if (val >= 0) { retStr = "+"; }
                else { retStr = "";  }
                retStr += val.ToString("0.00");
                break;
            case 31:
            case 40:
            case 43:
                val = (Double)value * 0.1;
                retStr = val.ToString("0.0").PadLeft(4);
                break;
            case 6:
            case 7:
            case 8:
            case 18:
            case 19:
            case 20:
            case 25:
            case 32:
            case 33:
            case 34:
            case 37:
            case 46:
            case 48:
            case 55:
            case 56:
            case 57:
            case 58:
            case 59:
            case 60:
            case 61:
            case 62:
            case 63:
            case 64:
            case 65:
                retStr = value.ToString("D").PadLeft(3);
                break;
            case 11:
            case 23:
                if (value >= 0) { retStr = "+"; }
                else { retStr = ""; }
                retStr += value.ToString();
                retStr = retStr.PadLeft(4);
                break;
            case 2:
            case 14:
                retStr = value.ToString().PadLeft(2);
                break;
            case 49:
                retStr = "A" + value.ToString();
                break;
            default:
                retStr = value.ToString();
                break;
            }
            return retStr;
        }

        public string getStrevValue(int idx, int value)
        {
            string retStr;

            switch (idx)
            {
            case 10:
                retStr = chRevPModeTxt[value];
                break;
            case 14:
                retStr = chSwTxt[value];
                break;
            case 0:
                retStr = ((Double)value * 0.1).ToString("0.0").PadLeft(5) + "sec";
                break;
            case 1:
                retStr = value.ToString().PadLeft(3) + "ms";
                break;
            case 12:
            case 13:
                retStr = value.ToString().PadLeft(4) + "ms";
                break;
            case 2:
            case 3:
            case 5:
            case 6:
            case 7:
            case 8:
            case 9:
            case 11:
                retStr = value.ToString().PadLeft(3);
                break;
            case 4:
                retStr = ((Double)value * 0.01).ToString("0.00").PadLeft(4);
                break;
            default:
                retStr = value.ToString();
                break;
            }
            return retStr;
        }

        public string getStdelayValue(int idx, int value)
        {
            string retStr;

            switch (idx)
            {
            case 0:
                retStr = chDlyTypeTxt[value];
                break;
            case 11:
                retStr = chDlyPModeTxt[value];
                break;
            case 15:
                retStr = chSwTxt[value];
                break;
            case 1:
            case 2:
                retStr = ((Double)value * 0.1).ToString("0.0").PadLeft(6) + "ms";
                break;
            case 3:
            case 5:
            case 6:
            case 7:
            case 9:
            case 12:
                retStr = value.ToString().PadLeft(3);
                break;
            case 4:
                retStr = ((Double)value * 0.01).ToString("0.00").PadLeft(4);
                break;
            case 8:
                retStr = ((Double)value * 0.1).ToString("0.0").PadLeft(4) + "Hz";
                break;
            case 10:
                retStr = value.ToString().PadLeft(3) + "deg";
                break;
            case 13:
            case 14:
                retStr = value.ToString().PadLeft(4) + "ms";
                break;
            default:
                retStr = value.ToString();
                break;
            }
            return retStr;
        }

        public string getStchorusValue(int idx, int value)
        {
            string retStr;

            switch (idx)
            {
            case 0:
                retStr = chChoTypeTxt[value];
                break;
            case 8:
                retStr = chSwTxt[value];
                break;
            case 1:
                retStr = ((Double)value * 0.1).ToString("0.0").PadLeft(4) + "Hz";
                break;
            case 2:
            case 3:
            case 6:
            case 7:
                retStr = value.ToString().PadLeft(3);
                break;
            case 4:
            case 5:
                retStr = value.ToString().PadLeft(5) + "Hz";
                break;
            default:
                retStr = value.ToString();
                break;
            }
            return retStr;
        }

        public string getStflangerValue(int idx, int value)
        {
            string retStr;

            switch (idx)
            {
            case 6:
                retStr = chFlgPModeTxt[value];
                break;
            case 10:
                retStr = chSwTxt[value];
                break;
            case 0:
            case 1:
            case 2:
            case 3:
            case 4:
            case 5:
            case 7:
                retStr = value.ToString().PadLeft(3);
                break;
            case 8:
            case 9:
                retStr = value.ToString().PadLeft(4) + "ms";
                break;
            default:
                retStr = value.ToString();
                break;
            }
            return retStr;
        }

        public string getStphaserValue(int idx, int value)
        {
            string retStr;

            switch (idx)
            {
            case 7:
                retStr = chPhsPModeTxt[value];
                break;
            case 11:
                retStr = chSwTxt[value];
                break;
            case 0:
            case 1:
            case 2:
            case 3:
            case 4:
            case 5:
            case 8:
                retStr = value.ToString().PadLeft(3);
                break;
            case 6:
                retStr = value.ToString();
                break;
            case 9:
            case 10:
                retStr = value.ToString().PadLeft(4) + "ms";
                break;
            default:
                retStr = value.ToString();
                break;
            }
            return retStr;
        }

        public string getStwahValue(int idx, int value)
        {
            string retStr;

            switch (idx)
            {
            case 0:
                retStr = chWahTypeTxt[value];
                break;
            case 5:
            case 9:
                retStr = chSwTxt[value];
                break;
            case 1:
            case 6:
                retStr = value.ToString().PadLeft(3);
                break;
            case 2:
            case 3:
                retStr = value.ToString().PadLeft(4) + "Hz";
                break;
            case 4:
                retStr = ((Double)value * 0.1).ToString("0.0").PadLeft(4);
                break;
            case 7:
            case 8:
                retStr = value.ToString().PadLeft(4) + "ms";
                break;
            default:
                retStr = value.ToString();
                break;
            }
            return retStr;
        }
    }
}
